How to use Arduino 1.0.6 under Mac OS X 10.10 Yosemite

Apple disabled java under newer Mac OS X versions. This is normally no big problem, because if you want to start a Java application, Mac OS X will inform you that you’ll need to install java. In case of Arduino, it requests Java SE 6 runtime:

Taken from https://discussions.apple.com/thread/6488727
Taken from https://discussions.apple.com/thread/6488727

I’ve decided to install Java manually with the packages provided by Oracle, because they are in a higher version and have less security holes. However, this will lead to problems as some Java applications which where build for Java 6/7 cannot start on Java 8 from Oracle.

I’ve tried it then with the most current Arduino Beta 1.5.8 which supports newer Java versions. While Arduino now starts, it cannot compile Arduino sketches. If you try the older Arduino 1.x versions, it will not start at all.

Only after installing Apples Java for OS X 2014-001 update, I could start Arduino 1.0.6 again and then compilation was also no problem anymore. If I check my java version with java -v  in a terminal, I’ll see that the system is using java 8 instead of the installed 6. So I think its safe to use. What do you guys say? Leave a comment if I missed something!